%define		caribou_version 0.4.8
%define		clutter_version 1.21.5
%define		evolution_data_server_version 3.18.0
%define		gcr_version 3.7.5
%define		gjs_version 1.47.0
%define		glib2_version 1:2.46.0
%define		gnome_bluetooth_version 3.9.0
%define		gnome_desktop_version 3.7.90
%define		gnome_menus_version 3.5.3
%define		gsettings_desktop_schemas_version 3.22.0
%define		gtk_version 3.15.0
%define		json_glib_version 0.13.90
%define		libcroco_version 0.6.8
%define		mutter_version 3.26.0
%define		networkmanager_version 0.9.8
%define		polkit_version 0.100
%define		pulseaudio_version 2.0
%define		startup_notification_version 0.11
%define		telepathy_glib_version 0.17.5

Summary:	Window manager and application launcher for GNOME
Name:		gnome-shell
Version:	3.26.0
Release:	1
License:	GPL v2+
Group:		X11/Window Managers
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-shell/3.26/%{name}-%{version}.tar.xz
# Source0-md5:	3d31315620d11afcfa8fd6a40a019698
Patch0:		build.patch
URL:		http://live.gnome.org/GnomeShell
BuildRequires:	NetworkManager-devel >= %{networkmanager_version}
BuildRequires:	NetworkManager-gtk-lib-devel >= %{networkmanager_version}
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	clutter-devel >= %{clutter_version}
BuildRequires:	evolution-data-server-devel >= %{evolution_data_server_version}
BuildRequires:	gcr-devel >= %{gcr_version}
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-tools >= 0.19.6
BuildRequires:	gjs-devel >= %{gjs_version}
BuildRequires:	glib2-devel >= %{glib2_version}
BuildRequires:	gnome-bluetooth-devel >= %{gnome_bluetooth_version}
BuildRequires:	gnome-common
BuildRequires:	gnome-control-center-devel
BuildRequires:	gnome-desktop-devel >= %{gnome_desktop_version}
BuildRequires:	gnome-menus-devel >= %{gnome_menus_version}
BuildRequires:	gobject-introspection-devel >= 1.50.0
BuildRequires:	gsettings-desktop-schemas-devel >= %{gsettings_desktop_schemas_version}
BuildRequires:	gstreamer-devel >= 1.0.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0.0
BuildRequires:	gtk+3-devel >= %{gtk_version}
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	json-glib-devel >= %{json_glib_version}
BuildRequires:	libcanberra-devel
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libcroco-devel >= 0.6.8
BuildRequires:	libsecret-devel
BuildRequires:	libsoup-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-progs
BuildRequires:	meson
BuildRequires:	mutter-devel >= %{mutter_version}
BuildRequires:	ninja
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	polkit-devel >= %{polkit_version}
BuildRequires:	pulseaudio-devel >= %{pulseaudio_version}
BuildRequires:	python3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	ruby-sass
BuildRequires:	startup-notification-devel >= %{startup_notification_version}
BuildRequires:	systemd-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-glib-devel >= %{telepathy_glib_version}
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	NetworkManager-libs >= %{networkmanager_version}
Requires:	at-spi2-atk >= 2.4.0
Requires:	caribou-libs >= %{caribou_version}
Requires:	clutter >= %{clutter_version}
Requires:	evolution-data-server >= %{evolution_data_server_version}
Requires:	gcr >= %{gcr_version}
Requires:	gjs >= %{gjs_version}
Requires:	glib2 >= %{glib2_version}
Requires:	gnome-bluetooth-libs >= %{gnome_bluetooth_version}
Requires:	gnome-desktop >= %{gnome_desktop_version}
Requires:	gnome-menus >= %{gnome_menus_version}
Requires:	gnome-settings-daemon >= 3.8.0
Requires:	gnome-themes-standard
Requires:	gsettings-desktop-schemas >= %{gsettings_desktop_schemas_version}
Requires:	gtk+3 >= %{gtk_version}
Requires:	json-glib >= %{json_glib_version}
Requires:	libcroco >= %{libcroco_version}
Requires:	mutter >= %{mutter_version}
Requires:	nautilus >= 3.8.0
Requires:	polkit >= %{polkit_version}
Requires:	pulseaudio-libs >= %{pulseaudio_version}
Requires:	startup-notification >= %{startup_notification_version}
Requires:	telepathy-glib >= %{telepathy_glib_version}
Requires:	telepathy-logger-libs >= 0.2
Requires:	telepathy-mission-control
Suggests:	gnome-contacts >= 3.2.0
Suggests:	gnome-icon-theme-symbolic >= 3.8.0
Provides:	gdm-wm = 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Shell is the defining technology of the GNOME 3 desktop user
experience. It provides core interface functions like switching to
windows and launching applications. GNOME Shell takes advantage of the
capabilities of modern graphics hardware and introduces innovative
user interface concepts to provide a delightful and easy to use
experience.

%package devel
Summary:	Development files for GNOME Shell
Summary(pl.UTF-8):	Pliki programistyczne dla GNOME Shell
Group:		Development/Libraries

%description devel
This package provides development files for GNOME Shell.

%description devel -l pl.UTF-8
Ten pakiet dostarcza pliki programistyczne dla GNOME Shell.

%package apidocs
Summary:	GNOME Shell API documentation
Summary(pl.UTF-8):	Dokumentacja API GNOME Shell
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
This package provides GNOME Shell API documentation.

%description apidocs -l pl.UTF-8
Ten pakiet dostarcza dokumentację API GNOME Shell.

%package -n browser-plugin-%{name}
Summary:	gnome-shell plugin for WWW browsers
Summary(pl.UTF-8):	Wtyczka gnome-shell do przeglądarek WWW
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})

%description -n browser-plugin-%{name}
gnome-shell plugin for WWW browsers.

%description -n browser-plugin-%{name} -l pl.UTF-8
Wtyczka gnome-shell do przeglądarek WWW.

%prep
%setup -q
%patch0 -p1

%build
export BROWSER_PLUGIN_DIR=%{_browserpluginsdir}
%configure \
	--enable-documentation \
	--enable-gtk-doc \
	--enable-man

%{__make} \
	BROWSER_PLUGIN_DIR=%{_browserpluginsdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/gnome-shell/{extensions,search-providers}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BROWSER_PLUGIN_DIR=%{_browserpluginsdir}

# evolution already ships this file
%{__rm} $RPM_BUILD_ROOT%{_desktopdir}/evolution-calendar.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gnome-shell
%attr(755,root,root) %{_bindir}/gnome-shell-extension-prefs
%attr(755,root,root) %{_bindir}/gnome-shell-extension-tool
%attr(755,root,root) %{_bindir}/gnome-shell-perf-tool
%attr(755,root,root) %{_libdir}/gnome-shell-calendar-server
%attr(755,root,root) %{_libdir}/gnome-shell-hotplug-sniffer
%attr(755,root,root) %{_libdir}/gnome-shell-perf-helper
%attr(755,root,root) %{_libdir}/gnome-shell-portal-helper
%dir %{_libdir}/gnome-shell
%attr(755,root,root) %{_libdir}/gnome-shell/libgnome-shell.so
%attr(755,root,root) %{_libdir}/gnome-shell/libgnome-shell-menu.so
%attr(755,root,root) %{_libdir}/gnome-shell/libgvc.so
%attr(755,root,root) %{_libdir}/gnome-shell/libst-1.0.so
%{_libdir}/gnome-shell/Gvc-1.0.typelib
%{_libdir}/gnome-shell/Shell-0.1.typelib
%{_libdir}/gnome-shell/St-1.0.typelib
%{_libdir}/gnome-shell/ShellMenu-0.1.typelib
%{_datadir}/GConf/gsettings/gnome-shell-overrides.convert
%{_datadir}/dbus-1/services/org.gnome.Shell.CalendarServer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.HotplugSniffer.service
%{_datadir}/dbus-1/services/org.gnome.Shell.PortalHelper.service
%{_datadir}/glib-2.0/schemas/org.gnome.shell.gschema.xml
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-shell
%{_datadir}/xdg-desktop-portal/portals/gnome-shell.portal
%{_desktopdir}/gnome-shell-extension-prefs.desktop
%{_desktopdir}/org.gnome.Shell.desktop
%{_desktopdir}/org.gnome.Shell.PortalHelper.desktop
%{_mandir}/man1/gnome-shell.1*

%files devel
%defattr(644,root,root,755)
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.PadOsd.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screencast.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Shell.Screenshot.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider.xml
%{_datadir}/dbus-1/interfaces/org.gnome.ShellSearchProvider2.xml

#%files apidocs
#%defattr(644,root,root,755)
#%{_gtkdocdir}/shell
#%{_gtkdocdir}/st

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/libgnome-shell-browser-plugin.so
%changelog
* Sun Oct 01 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-shell.git;a=log;h=master

* Sun Oct 01 2017 Jan Rękorajski <baggins@pld-linux.org> 62836e0
- updated to new fancy and broken build system
- apidocs do not build / install
- rel 1

* Sun Oct 01 2017 Jan Rękorajski <baggins@pld-linux.org> d690508
- fetch 3.26.0 sources

* Thu Apr 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d95992d
- Update to 3.24.1

* Mon Mar 27 2017 Marcin Banasiak <marcin.banasiak@gmail.com> fe1e97f
- Update Source0 URL

* Mon Mar 27 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d655008
- Update to 3.24.0

* Sat Feb 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> e09fae4
- Update to 3.22.3

* Fri Nov 11 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 8d51397
- Update to 3.22.2

* Mon Oct 17 2016 Marcin Banasiak <marcin.banasiak@gmail.com> b1a463e
- Update to 3.22.1

* Tue Oct 04 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 1a06835
- Update to 3.22.0

* Tue Jul 05 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 918f092
- Update to 3.20.3

* Mon May 16 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 0ee591f
- Update to 3.20.2

* Wed Apr 13 2016 Marcin Banasiak <marcin.banasiak@gmail.com> f9f0221
- Update to 3.20.1

* Sun Mar 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 046d452
- Update to 3.20.0

* Thu Nov 19 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 23451bc
- Update to 3.18.3

* Sat Nov 14 2015 Łukasz Kieś <kiesiu@pld-linux.org> c54c5b2
- requires Caribou typelib (-libs after 0.4.19 split); rel. 2

* Thu Nov 12 2015 Marcin Banasiak <marcin.banasiak@gmail.com> d145a56
- Update to 3.18.2

* Sun Oct 25 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 690330c
- Update to 3.18.1

* Sun Sep 27 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 3d391a6
- Update to 3.18.0

* Thu Jul 02 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 82ec18b
- Update to 3.16.3

* Sun May 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5ea1e29
- release 2 (by relup.sh)

